package org.wfc.omada.api.organization.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.util.Objects;

/**
 * DeviceBindBriefOpenApiVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:17:18.430+08:00[Asia/Shanghai]")

public class DeviceBindBriefOpenApiVo   {
  @JsonProperty("mac")
  private String mac;

  @JsonProperty("siteId")
  private String siteId;

  public DeviceBindBriefOpenApiVo mac(String mac) {
    this.mac = mac;
    return this;
  }

  /**
   * The mac address of device, like AA-BB-CC-DD-EE-FF.
   * @return mac
  */
  @ApiModelProperty(required = true, value = "The mac address of device, like AA-BB-CC-DD-EE-FF.")
  @NotNull


  public String getMac() {
    return mac;
  }

  public void setMac(String mac) {
    this.mac = mac;
  }

  public DeviceBindBriefOpenApiVo siteId(String siteId) {
    this.siteId = siteId;
    return this;
  }

  /**
   * The ID of target site.
   * @return siteId
  */
  @ApiModelProperty(required = true, value = "The ID of target site.")
  @NotNull


  public String getSiteId() {
    return siteId;
  }

  public void setSiteId(String siteId) {
    this.siteId = siteId;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    DeviceBindBriefOpenApiVo deviceBindBriefOpenApiVo = (DeviceBindBriefOpenApiVo) o;
    return Objects.equals(this.mac, deviceBindBriefOpenApiVo.mac) &&
        Objects.equals(this.siteId, deviceBindBriefOpenApiVo.siteId);
  }

  @Override
  public int hashCode() {
    return Objects.hash(mac, siteId);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class DeviceBindBriefOpenApiVo {\n");
    
    sb.append("    mac: ").append(toIndentedString(mac)).append("\n");
    sb.append("    siteId: ").append(toIndentedString(siteId)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

